package dk.hansen.dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import dk.hansen.dao.bean.Director;

public class DirectorDAO extends DataBase implements DirectorDAOIF {

  // Contains en Exception when an error has occured
  private Exception error;

  // Contains an error message
  private String message;

  public Director getDirector(String id) throws DAOException {
    Connection conn = null;
    PreparedStatement pstmt = null;
    ResultSet result = null;
    error = null;
    Director director = null;

    try {
      conn = getConnection();
      // Prepare a statement to insert a record
      String sql = "SELECT * FROM director WHERE id=?";
      pstmt = conn.prepareStatement(sql);
      pstmt.setString(1, id);
      result = pstmt.executeQuery();
      if (result.next()) {
        String newId = result.getString("id");
        String name = result.getString("name");
        director = new Director(newId, name);
      }
    } catch (SQLException e) {
      error = e;
      message = "Read failed";
    }

    closeResult(result);
    closePrep(pstmt);
    closeConnection(conn);
    checkOK();

    return director;
  }

}