package dk.hansen.dao;

import org.apache.log4j.Logger;

import dk.hansen.transaction.MyTransaction;
import dk.hansen.transaction.TransactionIF;

public class SimpleDAOFactory implements DAOFactoryIF {

   private static Logger logger = 
     Logger.getLogger(SimpleDAOFactory.class.getName());

   public DVDDAOIF createDVDDAO() {
      logger.info("SimpleDAOFactory creates a SimpleDAO");
      return new SimpleDVDDAO();
   }

  public TransactionIF createTransaction() {
    return new MyTransaction(); 
  }

  public DirectorDAOIF createDirectorDAO() {
    // TODO Auto-generated method stub
    return new SimpleDirectorDAO();
  }
   
}
